{ zentralwerk, config, pkgs, lib, ... }:

{
  imports = [
    ../../../config
    ../../../config/lxc-container.nix
    ../../../config/shared.nix
  ];

  c3d2.k-ot.enable = true;

  environment.systemPackages = with pkgs; [
    nixops
    pass
    gnupg
    ansible
    manpages
    man
    zsh
    screen
  ];

  networking.interfaces.eth0.ipv4.addresses = [{
    address = "172.20.73.16";
    prefixLength = zentralwerk.lib.config.site.net.serv.subnet4Len;
  }];
  networking.defaultGateway = "172.20.73.1";

  networking = {
    hostName = "deployer";
    # usePredictableInterfacenames = false;
    # interfaces.ens18.ipv4.addresses = [{
    #     address = "172.20.73.7";
    #     prefixLength = 26;
    # }];
    # interfaces.ens18.ipv6.addresses = [{
    #     address= "2a02:8106:208:5282:8c15:86ff:fe0f:b018";
    #     prefixLength = 64;
    # }];

    # nameservers = [ "172.20.72.6" "9.9.9.9" ];

    # defaultGateway = {
    #    address = "172.20.73.1";
    #    interface = "eth0@if23";
    # };
    # #defaultGateway6 = {
    #  address = "fe80::a800:42ff:fe7a:3246";
    #  interface = "ens18";
    #};
    firewall.allowedTCPPorts = [ 22 ];
  };

  services.openssh = {
    enable = true;
  };

  nix = {
    buildCores = 32;
    maxJobs = 32;
    autoOptimiseStore = true;
  };

  security.sudo.wheelNeedsPassword = false;

  system.stateVersion = "19.09"; # Did you read the comment?
}
