{ zentralwerk, config, pkgs, ... }:

{
  networking = {
    hostName = "gitea";
    useDHCP = false;
    interfaces.eth0 = {
      useDHCP = false;
      ipv4.addresses = [ {
        address = config.c3d2.hosts."${config.networking.hostName}".ip4;
        prefixLength = zentralwerk.lib.config.site.net.serv.subnet4Len;
      } ];
    };
    defaultGateway = "172.20.73.1";
    nameservers = [ "172.20.73.8" "9.9.9.9" ];
    firewall.allowedTCPPorts = [ 80 443 2222 ];
  };
}
